%define debug_package %{nil}

Name:		libvsmbr
Version:	20180731
Release:	1%{?dist}
Summary:	Library to access the Master Boot Record (MBR) volume system
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/libvsmbr/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
libvsmbr is a library to access the Master Boot Record (MBR) volume system

%package devel
Summary: Header files and libraries for developing applications for libvsmbr
Group: Development/Libraries
Requires: libvsmbr = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvsmbr.

%package python
Summary: Python 2 bindings for libvsmbr
Group: System Environment/Libraries
Requires: libvsmbr = %{version}-%{release} python
BuildRequires: python-devel

%description python
Python 2 bindings for libvsmbr

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libvsmbr
Group: System Environment/Libraries
Requires: libvsmbr = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libvsmbr
%endif

%package tools
Summary: Several tools for reading Master Boot Record (MBR) volume systems
Group: Applications/System
Requires: libvsmbr = %{version}-%{release}

%description tools
Several tools for reading Master Boot Record (MBR) volume systems

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%if 0%{?centos} == 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%endif
find . -type f -exec grep -l system_string_vsnprintf '{}' /dev/null \; | while read f
do
        sed --in-place s/system_string_vsnprintf/vsnprintf/g $f
done
for m in */Makefile
do
	sed --in-place 's/@.*_DLL_EXPORT@//' $m
done
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libvsmbr.pc
%{_includedir}/*
%{_mandir}/man3/*

%files python
%defattr(644,root,root,755)
%license COPYING
%doc AUTHORS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%license COPYING
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vsmbrinfo

%changelog
* Tue Jul 31 2018 Lawrence R. Rogers <lrr@cert.org> 20180731-1
* Release 20180731-1
	Version from 20180731

* Mon Jul 10 2017 Joachim Metz <joachim.metz@gmail.com> 20170525-1
- Auto-generated

